#    Munakello - A simple Pomodoro timer
#    Copyright (C) 2016 Timo Kankare 
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


"""Munakello - A simple Pomodoro timer
"""

from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get name and version information from about.py.
about = {}
with open(path.join(here, 'munakello', 'about.py'), encoding='utf-8') as f:
    exec(f.read(), about)

# Get the long description from the README file.
with open(path.join(here, 'README'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name=about['name'],
    version=about['version'],

    description=about['description'],
    long_description=long_description,

    url='http://tsk.iki.fi/sw/munakello/',

    author='Timo Kankare',
    author_email='timo.kankare@iki.fi',

    license='GPLv3+',

    classifiers=[
        'Development Status :: 3 - Alpha',

        'Environment :: Console',

        'Intended Audience :: Developers',
        'Intended Audience :: End Users/Desktop',

        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',

        'Natural Language :: English',

        'Operating System :: OS Independent',

        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3 :: Only',

        'Topic :: Utilities',
    ],

    keywords='pomodoro timemanagement',

    packages=find_packages(exclude=['contrib', 'docs', 'tests']),

    entry_points={
        'console_scripts': [
            'munakello=munakello:main',
        ],
    },
)

